Skip to main content
GET
List of Identities

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[deprovisioned_pending_deactivation]
string
sort
enum<string>[]
Available options:
integration_id,
-integration_id,
directory_user_id,
-directory_user_id,
vendor_id,
-vendor_id,
user_full-name,
-user_full-name,
user_email,
-user_email,
provisioned_at,
-provisioned_at,
profile_changed_at,
-profile_changed_at,
last_authenticated_at,
-last_authenticated_at,
deprovisioned_at,
-deprovisioned_at,
created_at,
-created_at,
updated_at,
-updated_at,
deleted_at,
-deleted_at,
state,
-state,
-integration_id,
--integration_id,
-user_id,
--user_id,
-vendor_id,
--vendor_id,
-user_full-name,
--user_full-name,
-user_email,
--user_email,
-email,
--email,
-provisioned_at,
--provisioned_at,
-profile_changed_at,
--profile_changed_at,
-last_authenticated_at,
--last_authenticated_at,
-deprovisioned_at,
--deprovisioned_at,
-created_at,
--created_at,
-updated_at,
--updated_at,
-deleted_at,
--deleted_at,
-state,
--state
filter
string
page
string

Filter by a partial match of the identity ID

filter[integration_id]
string

Filter by an exact match of the integration ID

filter[integration_type]
string

Filter by an exact match of the integration type (polymorphic morph class)

filter[directory_user_id]
string

Filter by an exact match of the directory user ID

filter[vendor_id]
string

Filter by an exact match of the integration vendor ID field

Filter by a partial match of the integration vendor ID field

filter[email]
string

Filter by an exact match of the email field

Filter by a partial match of the email field (useful for handles or domain names)

filter[state]
string

Filter by an exact match of the state field

Filter by searching custom profile key/value pairs for any partial string match

filter[created_before]
string

Filter by imported to Provisionr before date

filter[created_after]
string

Filter by imported to Provisionr after date

filter[deleted_before]
string

Filter by deleted before date

filter[deleted_after]
string

Filter by deleted after date

filter[provisioned_before]
string

Filter by identities that were provisioned before date

filter[provisioned_after]
string

Filter by identities that were provisioned after date

filter[profile_changed_before]
string

Filter by profile changed before date

filter[profile_changed_after]
string

Filter by profile changed after date

filter[last_authenticated_before]
string

Filter by last authenticated before date

filter[last_authenticated_after]
string

Filter by last authenticated after date

filter[deprovisioned_before]
string

Filter by deprovisioned before date. Reminder to include trashed records.

filter[deprovisioned_after]
string

Filter by deprovisioned after date. Reminder to include trashed records.

filter[trashed]
string

Include trashed records (with, only, without)

Response

The collection of DirectoryIdentityDetailedResponseData

id
string
required
Example:

"dridt_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the identity record (not the user)

Available options:
staged,
active,
orphan,
expiring,
expired,
suspended,
deactivated
vendor_id
string | null
required

The ID of the user on the vendor API in its native format

email
string | null
required

The email address of the user in the vendor API. This is used for Directory User lookup matching

profile
object
required

The vendor API profile data (raw) that is imported. This likely contains sensitive PII. This endpoint requires directory.identity.view permission.

If you do not have permission, use the api/v1/directory/users?include=identities to get a nested list of identities for a user without the profile

timestamp
DirectoryIdentityTimestampResponseData · object
required

The timestamps for the directory identity record

count
object
required

Count of related records

included
object
required

Included related resources

API hyperlinks related to the record